{
  "name": "@yfsoft/yfios-mqtt-collector",
  "version": "1.0.0",
  "description": "YFIOs・叶帆物联网平台数据采集",
  "author": "",
  "private": true,
  "license": "UNLICENSED",
  "scripts": {
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": "nest start",
    "start:dev": "cross-env NODE_ENV=production nest start --watch",
    "start:debug": "cross-env NODE_ENV=debug nest start --debug --watch",
    "start:prod": "node dist/main",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:cov": "jest --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register $(pnpm bin)/jest --runInBand",
    "test:e2e": "jest --config ./test/jest-e2e.json"
  },
  "dependencies": {
    "@nestjs/axios": "^4.0.1",
    "@nestjs/common": "^11.1.13",
    "@nestjs/config": "^4.0.3",
    "@nestjs/core": "^11.1.13",
    "@nestjs/microservices": "^11.1.13",
    "@nestjs/platform-express": "^11.1.13",
    "@tdengine/rest": "^3.0.2",
    "@yfsoft/common": "workspace:*",
    "@yfsoft/config": "workspace:*",
    "chalk": "^4.1.2",
    "class-validator": "^0.14.1",
    "dotenv": "^17.2.4",
    "ioredis": "^5.3.2",
    "moment": "^2.30.1",
    "mqtt": "^5.3.6",
    "mysql2": "^3.9.2",
    "reflect-metadata": "^0.2.2",
    "rxjs": "^7.8.1",
    "sequelize": "^6.37.7",
    "sequelize-typescript": "^2.1.6",
    "uuid": "^9.0.1",
    "winston": "^3.17.0"
  },
  "devDependencies": {
    "@nestjs/cli": "^11.0.16",
    "@nestjs/schematics": "^11.0.9",
    "@nestjs/testing": "^11.1.13",
    "@swc/cli": "^0.5.2",
    "@swc/core": "^1.15.11",
    "@types/jest": "^29.5.2",
    "@types/node": "^25.2.2",
    "@typescript-eslint/eslint-plugin": "^8.54.0",
    "@typescript-eslint/parser": "^8.54.0",
    "cross-env": "^10.1.0",
    "eslint": "^9.39.2",
    "eslint-config-prettier": "^9.0.0",
    "eslint-plugin-prettier": "^5.0.0",
    "jest": "^29.5.0",
    "prettier": "^3.0.0",
    "source-map-support": "^0.5.21",
    "ts-jest": "^29.4.6",
    "ts-node": "^10.9.1",
    "typescript": "^5.9.3"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "**/*.(t|j)s"
    ],
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}
